# Skript zum Kurs "Bibliotheks- und Archivinformatik"

Dieses Skript entstand in der Zeit von September 2019 bis März 2020 im Rahmen der folgenden Lehrveranstaltung:

- Kurs "Bibliotheks- und Archivinformatik"
- Dozent: [Felix Lohmeier](http://felixlohmeier.de)
- Herbstsemester 2019
- Lehrauftrag an der [FH Graubünden - Studiengang Information Science](https://www.fhgr.ch/studium/bachelorangebot/wirtschaft-und-dienstleistung/information-science/)
- Bachelor, 4. Semester, 4 ECTS

## Inhalte

1. [Installation und Grundlagen](01_installation-und-grundlagen.md) (25.09.2019)
   - Einführung in Markdown (und CodiMD)
   - Einführung in die Arbeitsumgebung JupyterLab
   - Einführung in Virtualisierungstechnologie
   - Einführung in die Kommandozeile
2. [Bibliothekssystem Koha](02_bibliothekssystem-koha.md) (09.10.2019)
   - Installation und Konfiguration von Koha
   - Vergleich mit anderen Bibliothekssystemen
3. [Archivsystem ArchivesSpace](03_archivsystem-archivesspace.md) (30.10.2019)
   - Metadatenstandards in Archiven (ISAD(G) und EAD)
   - Gastbeitrag Michael Gasser (ETH) zu CMI STAR und Systemlandschaft der ETH-Bibliothek
   - Installation und Konfiguration von ArchivesSpace
4. [Metadaten transformieren mit OpenRefine und MarcEdit](04_metadaten-transformieren-mit-openrefine-und-marcedit.md) (06.11.2019)
   - Transformation von Metadaten mit OpenRefine
   - XSLT Crosswalks mit MarcEdit
   - Schnittstellen SRU, OAI-PMH und Z39.50 harvesten
   - Weitere Tools für Metadatentransformationen
5. [Discovery-System VuFind und Suchmaschine Solr](05_discovery-system-vufind-und-suchmaschine-solr.md) (13.11.2019)
   - Gastvortrag von Noémie Ammann (ETH) zu Primo und SLSP
   - Marktüberblick Discovery-Systeme
   - Funktionen von Suchmaschinen am Beispiel von Solr
   - Installation und Konfiguration von VuFind
   - Gruppenarbeit zu Metadatenflüssen
   - Architektur der Suchmaschine DuckDuckGo
6. [Repository-Software DSpace-CRIS](06_repository-software-dspace-cris.md) (27.11.2019)
   - Repository-Software für Publikationen und Forschungsdaten (+ Forschungsinformationssysteme)
7. [Linked Data und Fazit](07_linked-data-und-fazit.md) (11.12.2019)
   - Metadaten aus Wikidata anreichern mit OpenRefine
   - Gastbeitrag von Niklaus Stettler (FHGR) zu Records in Context (RiC)
   - Suchanfragen mit SPARQL am Beispiel des Wikidata Query Service
   - Evaluation, Diagramm zu Kursinhalten, Install-Party
   - Empfehlenswerte Tutorials zum Selbstlernen

Hinweise für Lehrende:

* [VirtualBox Appliance erstellen](notes_virtualbox-appliance-erstellen.md)

* [Bootfähige USB-Sticks erstellen](notes_bootfaehige-usb-sticks-erstellen.md)

## Lerntagebücher

Als Prüfungsleistung schreiben Studierende Blogs, in denen sie von ihren Erkenntnissen berichten und sich mit den Inhalten des Seminars auseinandersetzen.

* Markus Barten: <https://informatik168014933.wordpress.com>
* Sabrina Berner: <https://powernappers.wordpress.com/sabrina/>
* Nadine Bolliger: <https://bain-iw17-nb.blogspot.com/search/label/deutsch>
* Adrienn Duff: <https://bainundich.jimdofree.com/berichte/>
* Sophie Emsberger: <https://sophieemachtbain.jimdofree.com/blog/>
* Bruno Frey: <https://brunos-bain-blog.jimdofree.com/bain-blog-1/>
* Olivia Gruber: <https://not-brains-bain.jimdofree.com/unterrichtseinheiten/>
* Christian Hirth: <https://asterixblogbain.jimdofree.com/blog/>
* Kelly Ann Kuster: <https://bain-blog.jimdofree.com>
* Debora Messerli: <https://bainhart.jimdofree.com>
* Jonathan Ott: <https://joni-ott.jimdofree.com>
* Jannis Raetz: <https://powernappers.wordpress.com/jannis/>

## Modulbeschreibung

Im Modul Bibliotheks- und Archivinformatik lernen die Studierenden die in Bibliotheken und Archiven eingesetzten Softwares und Technologien kennen. Funktionsweisen von Bibliothekskatalogen \(bis hin zu Cloud-Konzepten\), von Publikationsplattformen, Repositories etc. werden erläutert. Verschiedene Suchtechnologien werden analysiert und im Einsatz über unterschiedliche Datenbestände angewandt. Es wird gezeigt, wie Metadatenstandards und Austauschprotokolle eingesetzt und genutzt werden.

Nach erfolgreicher Teilnahme am Modul sind die Studierenden in der Lage:

* die Funktionsweise spezifischer Bibliothekssoftware zu verstehen
* die richtige Software für eine spezifische Aufgabe zu evaluieren
* Suchmaschinen zu konfigurieren
* Webseiten für Suchmaschinen zu optimieren \(SEO\)
* Bibliothekarische und archivarische Metadaten \(z.B. MARC, MARCXML, MODS, Dublin Core, EAD, BIBFRAME\) zu modellieren und diese mit entsprechenden Protokollen / Anwendungen zu übertragen
* Crosswalks zwischen unterschiedlichen Metadatenformaten zu programmieren

## Skripte der Vorjahre

Herbstsemester 2017:

* Zenodo: [10.5281/zenodo.3383051](https://doi.org/10.5281/zenodo.3383051)
* GitHub: [v1.0](https://github.com/felixlohmeier/bibliotheks-und-archivinformatik/releases/tag/v1.0)

## Lizenz

Dieses Werk ist lizenziert unter einer [Creative Commons Namensnennung 4.0 International Lizenz](http://creativecommons.org/licenses/by/4.0/)

[![Creative Commons Lizenzvertrag](https://i.creativecommons.org/l/by/4.0/88x31.png)](http://creativecommons.org/licenses/by/4.0/)
